<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ms_group', function (Blueprint $table) {
            $table->id('MsGroupId');
            $table->string('name', 50)->unique();
            $table->string('alias', 50)->unique();
            $table->boolean('status')->default(true)->comment('True/False');
            $table->foreignId('created_by')->default(0);
            $table->foreignId('updated_by')->default(0)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('groups');
    }
};
